Service Groups
Update Service Group
Update a service group's name, icon, or members.
Update a service group's name, icon, or members.
Authorization
bearerAuth AuthorizationBearer <token>
Access token or API key (unb_...) passed as Authorization: Bearer <token>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
add_service_ids?array<>|
The IDs of the services to add to the service group
description?string
The description of the service group
environment_id*string
Format
uuidicon?string
The icon of the service group
id*string
Format
uuidname?|
Has to be unique in the environment
Length
1 <= length <= 32project_id*string
Format
uuidremove_service_ids?array<>|
The IDs of the services to remove from the service group
team_id*string
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/service_groups/update" \ -H "Content-Type: application/json" \ -d '{ "environment_id": "40ef0e48-a11f-4963-a229-e396c9f7e7c4", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9", "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba" }'{ "data": { "created_at": "2019-08-24T14:15:22Z", "description": "string", "environment_id": "40ef0e48-a11f-4963-a229-e396c9f7e7c4", "icon": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "template_id": "c6d67e98-83ea-49f0-8812-e4abae2b68bc" }}